Skip to main content
GET
Get a single credit note by ID

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

credit_note_id
string
required

The ID of the credit note

Response

A single credit note

billing_entity_code
string
required

Unique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.

Pattern: ^[a-zA-Z0-9_-]*$
Example:

"acme_inc"

sequential_id
integer
required

The sequential identifier of the credit note, specifically scoped on the associated invoice. It provides a unique numerical identifier for the credit note within the context of the invoice.

Example:

2

number
string
required

The credit note unique number.

Example:

"PP-1234-US"

invoice_id
string<uuid>
required

Unique identifier assigned to the invoice that the credit note belongs to

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

invoice_number
string
required

The invoice unique number, related to the credit note.

Example:

"PP-1234"

issuing_date
string<date>
required

The date of creation of the credit note. It follows the ISO 8601 date format and provides the specific date when the credit note was created.

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2022-12-06"

reason
enum<string>
required

The reason for credit note creation

Available options:
DUPLICATED_CHARGE,
PRODUCT_UNSATISFACTORY,
ORDER_CHANGE,
ORDER_CANCELLATION,
FRAUDULENT_CHARGE,
OTHER
Example:

"OTHER"

total_amount
object
required

The total amount of the credit note.

Example:
taxes_amount
object
required

The tax amount of the credit note.

Example:
taxes_rate
number
required

The tax rate associated with this specific credit note.

Example:

0.2

sub_total_excluding_taxes_amount
object
required

The subtotal of the credit note excluding any applicable taxes.

Example:
balance_amount
object
required

The remaining credit note amount.

Example:
credit_amount
object
required

The credited amount of the credit note.

Example:
refund_amount
object
required

The refunded amount of the credit note.

Example:
created_at
string<date-time>
required

The date when the credit note was created. It is expressed in Coordinated Universal Time (UTC).

Example:

"2022-09-14T16:35:31Z"

updated_at
string<date-time>
required

The date when the credit note was last updated. It is expressed in Coordinated Universal Time (UTC).

Example:

"2022-09-14T16:35:31Z"

credit_status
enum<string>

The status of the credit portion of the credit note

Available options:
AVAILABLE,
CONSUMED,
VOIDED
Example:

"AVAILABLE"

refund_status
enum<string>

The status of the refund portion of the credit note

Available options:
PENDING,
SUCCEEDED,
FAILED
Example:

"PENDING"

description
string | null

The description of the credit note.

Example:

"Free text"

items
object[]

Array of credit note's items.

applied_taxes
object[]
id
string